#include <QApplication>
#include <QDebug>
#include <QCheckBox>
#include <QGridLayout>
#include <QSlider>

static QString description()
{
    QString t = QT_VERSION_STR;
#if QT_VERSION >= 0x050000
    t += QLatin1Char(' ') + QGuiApplication::platformName();
#endif
    return t;
}

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    QStringList args = app.arguments();
    args.pop_front();

    QString t = description();
    qDebug() << t << args;
    QWidget w;
    w.setWindowTitle(t);
    QGridLayout *l = new QGridLayout(&w);

    QString cs = QLatin1String("background-color: rgb(255, 255, 0);");
    QString bs = QLatin1String("padding-left: 15%; padding-right: 15%; padding-top: 3%; padding-bottom: 3%");

    if (args.contains("-c"))
        bs += QLatin1Char(';') + cs;

    if (args.contains("-r")) {
            bs.prepend("QCheckBox {");
            bs.append('}');
    }
    qDebug() << "StyleSheet:" << bs;

    QCheckBox *b = new QCheckBox("C1 Sheet");    
    b->setToolTip("Check to generate \"@1250  (SEND MSGS)\" in Tx6.");
    b->setStyleSheet(bs);
    l->addWidget(b, 0, 0);
    b = new QCheckBox("C2 No Sheet");
    b->setToolTip("Check to generate \"@1250  (SEND MSGS)\" in Tx6.");

    l->addWidget(b, 1, 0);
    QSlider *s = new QSlider;
    s->setToolTip( "Adjust Tx audio level");
    l->addWidget(s, 0, 1, 2, 1);

    w.show();
    return app.exec();
}
